Bug 108316 - squirrelmail-secure_login-plugin typo error in pkg-plist
Summary: squirrelmail-secure_login-plugin typo error in pkg-plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-24 17:50 UTC by neil
Modified: 2007-01-25 23:01 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description neil 2007-01-24 17:50:14 UTC
squirrelmail-secure_login-plugin has two typo errors in pkg-plist.

The @exec and @unexec lines incorrectly specify newuser_wiz instead of secure_login
for the plugin name.
Comment 1 Edwin Groothuis freebsd_committer 2007-01-24 21:46:01 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Martin Wilke freebsd_committer 2007-01-25 06:49:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Thomas Abthorpe 2007-01-25 13:26:02 UTC
Please commit using the following patch

cvs diff -uN pkg-plist
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/mail/squirrelmail-secure_login-plugin/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- pkg-plist   26 Jun 2006 16:40:44 -0000      1.1
+++ pkg-plist   25 Jan 2007 13:25:25 -0000
@@ -1,4 +1,4 @@
-@unexec if [ -f %D/%%SQUIRRELDIR%%/config/config.php ]; then 
%D/%%SQUIRRELDIR%%/config/conf.pl --remove-plugin newuser_wiz; fi
+@unexec if [ -f %D/%%SQUIRRELDIR%%/config/config.php ]; then 
%D/%%SQUIRRELDIR%%/config/conf.pl --remove-plugin secure_login; fi
 %%SQUIRRELDIR%%/plugins/secure_login/functions.php
 %%SQUIRRELDIR%%/plugins/secure_login/README
 %%SQUIRRELDIR%%/plugins/secure_login/setup.php
@@ -7,4 +7,4 @@
 %%SQUIRRELDIR%%/plugins/secure_login/INSTALL
 %%SQUIRRELDIR%%/plugins/secure_login/config.php.sample
 @dirrm %%SQUIRRELDIR%%/plugins/secure_login
-@exec if [ -f %D/%%SQUIRRELDIR%%/config/config.php ]; then 
%D/%%SQUIRRELDIR%%/config/conf.pl --install-plugin newuser_wiz; fi
+@exec if [ -f %D/%%SQUIRRELDIR%%/config/config.php ]; then 
%D/%%SQUIRRELDIR%%/config/conf.pl --install-plugin secure_login; fi
Comment 4 Martin Wilke freebsd_committer 2007-01-25 22:58:39 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2007-01-25 22:58:58 UTC
miwi        2007-01-25 22:58:37 UTC

  FreeBSD ports repository

  Modified files:
    mail/squirrelmail-secure_login-plugin Makefile pkg-plist 
  Log:
  - Fix typo error in plist
  - Bump PORTREVISION
  
  PR:             108316
  Submitted by:   Neil Darlow <neil@darlow.co.uk>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.2       +1 -0      ports/mail/squirrelmail-secure_login-plugin/Makefile
  1.2       +2 -2      ports/mail/squirrelmail-secure_login-plugin/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2007-01-25 22:59:08 UTC
miwi        2007-01-25 22:58:44 UTC

  FreeBSD ports repository

  Modified files:
    mail/squirrelmail-timeout_user-plugin Makefile pkg-plist 
  Log:
  - Fix typo error in pkg-plist
  
  PR:             108316
  Submitted by:   Neil Darlow <neil@darlow.co.uk>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.2       +1 -0      ports/mail/squirrelmail-timeout_user-plugin/Makefile
  1.2       +2 -2      ports/mail/squirrelmail-timeout_user-plugin/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"